ExitHandler (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.embedded

## Enum ExitHandler

- java.lang.Object
- - java.lang.Enum<ExitHandler>
  - - org.apache.zookeeper.server.embedded.ExitHandler

- All Implemented Interfaces:
    Serializable, Comparable<ExitHandler>

      public enum ExitHandler
      extends Enum<ExitHandler>

  Behaviour of the server in case of internal error. When you are running tests you will use `LOG_ONLY`, but please take care of using `EXIT` when runnning in production.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXIT` Exit the Java process.
    `LOG_ONLY` Only log the error.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExitHandler` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExitHandler[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXIT

          public static final ExitHandler EXIT

      Exit the Java process.

    - #### LOG_ONLY

          public static final ExitHandler LOG_ONLY

      Only log the error. This option is meant to be used only in tests.

  - ### Method Detail

    - #### values

          public static ExitHandler[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExitHandler c : ExitHandler.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExitHandler valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.